# The official install bootstrapping eventually executes this

# You can manually execute it to install autovnet on remote hosts
# Assumes you already have ansible set up and know what you are doing.
# Usage: ansible-playbook -i inventory.yml --extra-vars "autovnet_hosts=INVENTORY_HOSTS_TO_INSTALL_ON" ./remote_install.yml
---
- hosts: "{{ autovnet_hosts | default('localhost') }}"

  # We have to manually fix up the path for ansible to see things installed by pipx
  vars:
    PIPX_BIN_DIR: "{{ ansible_env.PIPX_BIN_DIR | default(ansible_env.HOME + '/.local/bin') }}"
  environment:
    PATH: "{{ ansible_env.PATH }}:{{ PIPX_BIN_DIR }}"
    # This is somehow not default??
    DEBIAN_FRONTEND: noninteractive

  name: Install autovnet (ansible role)
  roles:
    - ./autovnet
